Index: themes/default/js/jquery.js
===================================================================
--- themes/default/js/jquery.js	(revision 0)
+++ themes/default/js/jquery.js	(revision 2566)
@@ -55,8 +55,8 @@
 	// For matching the engine and version of the browser
 	browserMatch,
-	
+
 	// Has the ready events already been bound?
 	readyBound = false,
-	
+
 	// The functions to execute on DOM ready
 	readyList = [],
@@ -87,5 +87,5 @@
 			return this;
 		}
-		
+
 		// The body element only exists once, optimize finding it
 		if ( selector === "body" && !context ) {
@@ -126,7 +126,7 @@
 						selector = (ret.cacheable ? ret.fragment.cloneNode(true) : ret.fragment).childNodes;
 					}
-					
+
 					return jQuery.merge( this, selector );
-					
+
 				// HANDLE: $("#id")
 				} else {
@@ -219,5 +219,5 @@
 		if ( jQuery.isArray( elems ) ) {
 			push.apply( ret, elems );
-		
+
 		} else {
 			jQuery.merge( ret, elems );
@@ -245,5 +245,5 @@
 		return jQuery.each( this, callback, args );
 	},
-	
+
 	ready: function( fn ) {
 		// Attach the listeners
@@ -263,5 +263,5 @@
 		return this;
 	},
-	
+
 	eq: function( i ) {
 		return i === -1 ?
@@ -288,5 +288,5 @@
 		}));
 	},
-	
+
 	end: function() {
 		return this.prevObject || jQuery(null);
@@ -369,8 +369,8 @@
 		return jQuery;
 	},
-	
+
 	// Is the DOM ready to be used? Set to true once it occurs.
 	isReady: false,
-	
+
 	// Handle when the DOM is ready
 	ready: function() {
@@ -403,5 +403,5 @@
 		}
 	},
-	
+
 	bindReady: function() {
 		if ( readyBound ) {
@@ -421,5 +421,5 @@
 			// Use the handy event callback
 			document.addEventListener( "DOMContentLoaded", DOMContentLoaded, false );
-			
+
 			// A fallback to window.onload, that will always work
 			window.addEventListener( "load", jQuery.ready, false );
@@ -430,5 +430,5 @@
 			// maybe late but safe also for iframes
 			document.attachEvent("onreadystatechange", DOMContentLoaded);
-			
+
 			// A fallback to window.onload, that will always work
 			window.attachEvent( "onload", jQuery.ready );
@@ -466,5 +466,5 @@
 			return false;
 		}
-		
+
 		// Not own constructor property must be Object
 		if ( obj.constructor
@@ -473,11 +473,11 @@
 			return false;
 		}
-		
+
 		// Own properties are enumerated firstly, so to speed up,
 		// if last one is own, then all properties are own.
-	
+
 		var key;
 		for ( key in obj ) {}
-		
+
 		return key === undefined || hasOwnProperty.call( obj, key );
 	},
@@ -489,9 +489,9 @@
 		return true;
 	},
-	
+
 	error: function( msg ) {
 		throw msg;
 	},
-	
+
 	parseJSON: function( data ) {
 		if ( typeof data !== "string" || !data ) {
@@ -501,5 +501,5 @@
 		// Make sure leading/trailing whitespace is removed (IE can't handle it)
 		data = jQuery.trim( data );
-		
+
 		// Make sure the incoming data is actual JSON
 		// Logic borrowed from http://json.org/json2.js
@@ -628,5 +628,5 @@
 				first[ i++ ] = second[ j ];
 			}
-		
+
 		} else {
 			while ( second[j] !== undefined ) {
@@ -795,5 +795,5 @@
 function access( elems, key, value, exec, fn, pass ) {
 	var length = elems.length;
-	
+
 	// Setting many attributes
 	if ( typeof key === "object" ) {
@@ -803,17 +803,17 @@
 		return elems;
 	}
-	
+
 	// Setting one attribute
 	if ( value !== undefined ) {
 		// Optionally, function values get executed if exec is true
 		exec = !pass && exec && jQuery.isFunction(value);
-		
+
 		for ( var i = 0; i < length; i++ ) {
 			fn( elems[i], key, exec ? value.call( elems[i], i, fn( elems[i], key ) ) : value, pass );
 		}
-		
+
 		return elems;
 	}
-	
+
 	// Getting an attribute
 	return length ? fn( elems[0], key ) : undefined;
@@ -910,5 +910,5 @@
 	try {
 		delete script.test;
-	
+
 	} catch(e) {
 		jQuery.support.deleteExpando = false;
@@ -951,18 +951,18 @@
 	// Technique from Juriy Zaytsev
 	// http://thinkweb2.com/projects/prototype/detecting-event-support-without-browser-sniffing/
-	var eventSupported = function( eventName ) { 
-		var el = document.createElement("div"); 
-		eventName = "on" + eventName; 
-
-		var isSupported = (eventName in el); 
-		if ( !isSupported ) { 
-			el.setAttribute(eventName, "return;"); 
-			isSupported = typeof el[eventName] === "function"; 
-		} 
-		el = null; 
-
-		return isSupported; 
+	var eventSupported = function( eventName ) {
+		var el = document.createElement("div");
+		eventName = "on" + eventName;
+
+		var isSupported = (eventName in el);
+		if ( !isSupported ) {
+			el.setAttribute(eventName, "return;");
+			isSupported = typeof el[eventName] === "function";
+		}
+		el = null;
+
+		return isSupported;
 	};
-	
+
 	jQuery.support.submitBubbles = eventSupported("submit");
 	jQuery.support.changeBubbles = eventSupported("change");
@@ -988,5 +988,5 @@
 jQuery.extend({
 	cache: {},
-	
+
 	expando:expando,
 
@@ -1015,5 +1015,5 @@
 
 		// Compute a unique ID for the element
-		if ( !id ) { 
+		if ( !id ) {
 			id = ++uuid;
 		}
@@ -1385,5 +1385,5 @@
 					return elem.getAttribute("value") === null ? "on" : elem.value;
 				}
-				
+
 
 				// Everything else, we just grab the value
@@ -1446,5 +1446,5 @@
 		offset: true
 	},
-		
+
 	attr: function( elem, name, value, pass ) {
 		// don't set attributes on text and comment nodes
@@ -1475,5 +1475,5 @@
 				if ( parent ) {
 					parent.selectedIndex;
-	
+
 					// Make sure that it also works with optgroups, see #5701
 					if ( parent.parentNode ) {
@@ -1652,7 +1652,7 @@
 				}
 			}
-			
-			if ( special.add ) { 
-				special.add.call( elem, handleObj ); 
+
+			if ( special.add ) {
+				special.add.call( elem, handleObj );
 
 				if ( !handleObj.handler.guid ) {
@@ -1721,5 +1721,5 @@
 				type = namespaces.shift();
 
-				namespace = new RegExp("(^|\\.)" + 
+				namespace = new RegExp("(^|\\.)" +
 					jQuery.map( namespaces.slice(0).sort(), fcleanup ).join("\\.(?:.*\\.)?") + "(\\.|$)")
 			}
@@ -1874,5 +1874,5 @@
 				special = jQuery.event.special[ type ] || {};
 
-			if ( (!special._default || special._default.call( elem, event ) === false) && 
+			if ( (!special._default || special._default.call( elem, event ) === false) &&
 				!isClick && !(target && target.nodeName && jQuery.noData[target.nodeName.toLowerCase()]) ) {
 
@@ -1933,5 +1933,5 @@
 					event.data = handleObj.data;
 					event.handleObj = handleObj;
-	
+
 					var ret = handleObj.handler.apply( this, arguments );
 
@@ -2027,5 +2027,5 @@
 		live: {
 			add: function( handleObj ) {
-				jQuery.event.add( this, handleObj.origType, jQuery.extend({}, handleObj, {handler: liveHandler}) ); 
+				jQuery.event.add( this, handleObj.origType, jQuery.extend({}, handleObj, {handler: liveHandler}) );
 			},
 
@@ -2033,5 +2033,5 @@
 				var remove = true,
 					type = handleObj.origType.replace(rnamespaces, "");
-				
+
 				jQuery.each( jQuery.data(this, "events").live || [], function() {
 					if ( type === this.origType.replace(rnamespaces, "") ) {
@@ -2069,5 +2069,5 @@
 	function( elem, type, handle ) {
 		elem.removeEventListener( type, handle, false );
-	} : 
+	} :
 	function( elem, type, handle ) {
 		elem.detachEvent( "on" + type, handle );
@@ -2114,5 +2114,5 @@
 			return;
 		}
-		
+
 		// if preventDefault exists run it on the original event
 		if ( e.preventDefault ) {
@@ -2206,5 +2206,5 @@
 					}
 				});
-	 
+
 				jQuery.event.add(this, "keypress.specialSubmit", function( e ) {
 					var elem = e.target, type = elem.type;
@@ -2268,5 +2268,5 @@
 			jQuery.data( elem, "_change_data", val );
 		}
-		
+
 		if ( data === undefined || val === data ) {
 			return;
@@ -2281,5 +2281,5 @@
 	jQuery.event.special.change = {
 		filters: {
-			focusout: testChange, 
+			focusout: testChange,
 
 			click: function( e ) {
@@ -2345,11 +2345,11 @@
 			setup: function() {
 				this.addEventListener( orig, handler, true );
-			}, 
-			teardown: function() { 
+			},
+			teardown: function() {
 				this.removeEventListener( orig, handler, true );
 			}
 		};
 
-		function handler( e ) { 
+		function handler( e ) {
 			e = jQuery.event.fix( e );
 			e.type = fix;
@@ -2368,5 +2368,5 @@
 			return this;
 		}
-		
+
 		if ( jQuery.isFunction( data ) ) {
 			fn = data;
@@ -2408,18 +2408,18 @@
 		return this;
 	},
-	
+
 	delegate: function( selector, types, data, fn ) {
 		return this.live( types, data, fn, selector );
 	},
-	
+
 	undelegate: function( selector, types, fn ) {
 		if ( arguments.length === 0 ) {
 				return this.unbind( "live" );
-		
+
 		} else {
 			return this.die( types, null, fn, selector );
 		}
 	},
-	
+
 	trigger: function( type, data ) {
 		return this.each(function() {
@@ -2521,5 +2521,5 @@
 			}
 		}
-		
+
 		return this;
 	}
@@ -2652,5 +2652,5 @@
 		return [];
 	}
-	
+
 	if ( !selector || typeof selector !== "string" ) {
 		return results;
@@ -2659,11 +2659,11 @@
 	var parts = [], m, set, checkSet, extra, prune = true, contextXML = isXML(context),
 		soFar = selector;
-	
+
 	// Reset the position of the chunker regexp (start from head)
 	while ( (chunker.exec(""), m = chunker.exec(soFar)) !== null ) {
 		soFar = m[3];
-		
+
 		parts.push( m[1] );
-		
+
 		if ( m[2] ) {
 			extra = m[3];
@@ -2686,5 +2686,5 @@
 					selector += parts.shift();
 				}
-				
+
 				set = posProcess( selector, set );
 			}
@@ -2797,5 +2797,5 @@
 	for ( var i = 0, l = Expr.order.length; i < l; i++ ) {
 		var type = Expr.order[i], match;
-		
+
 		if ( (match = Expr.leftMatch[ type ].exec( expr )) ) {
 			var left = match[1];
@@ -3071,5 +3071,5 @@
 		ATTR: function(match, curLoop, inplace, result, not, isXML){
 			var name = match[1].replace(/\\/g, "");
-			
+
 			if ( !isXML && Expr.attrMap[name] ) {
 				match[1] = Expr.attrMap[name];
@@ -3097,5 +3097,5 @@
 				return true;
 			}
-			
+
 			return match;
 		},
@@ -3218,16 +3218,16 @@
 				case 'first':
 					while ( (node = node.previousSibling) )	 {
-						if ( node.nodeType === 1 ) { 
-							return false; 
+						if ( node.nodeType === 1 ) {
+							return false;
 						}
 					}
-					if ( type === "first" ) { 
-						return true; 
+					if ( type === "first" ) {
+						return true;
 					}
 					node = elem;
 				case 'last':
 					while ( (node = node.nextSibling) )	 {
-						if ( node.nodeType === 1 ) { 
-							return false; 
+						if ( node.nodeType === 1 ) {
+							return false;
 						}
 					}
@@ -3239,8 +3239,8 @@
 						return true;
 					}
-					
+
 					var doneName = match[0],
 						parent = elem.parentNode;
-	
+
 					if ( parent && (parent.sizcache !== doneName || !elem.nodeIndex) ) {
 						var count = 0;
@@ -3249,8 +3249,8 @@
 								node.nodeIndex = ++count;
 							}
-						} 
+						}
 						parent.sizcache = doneName;
 					}
-					
+
 					var diff = elem.nodeIndex - last;
 					if ( first === 0 ) {
@@ -3328,5 +3328,5 @@
 		return results;
 	}
-	
+
 	return array;
 };
@@ -3520,5 +3520,5 @@
 			return;
 		}
-	
+
 		Sizzle = function(query, context, extra, seed){
 			context = context || document;
@@ -3531,5 +3531,5 @@
 				} catch(e){}
 			}
-		
+
 			return oldSizzle(query, context, extra, seed);
 		};
@@ -3560,5 +3560,5 @@
 		return;
 	}
-	
+
 	Expr.order.splice(1, 0, "CLASS");
 	Expr.find.CLASS = function(match, context, isXML) {
@@ -3648,5 +3648,5 @@
 var isXML = function(elem){
 	// documentElement is verified for cases where it doesn't yet exist
-	// (such as loading iframes in IE - #4833) 
+	// (such as loading iframes in IE - #4833)
 	var documentElement = (elem ? elem.ownerDocument || elem : 0).documentElement;
 	return documentElement ? documentElement.nodeName !== "HTML" : false;
@@ -3764,5 +3764,5 @@
 		return this.pushStack( winnow(this, selector, true), "filter", selector );
 	},
-	
+
 	is: function( selector ) {
 		return !!selector && jQuery.filter( selector, this ).length > 0;
@@ -3778,5 +3778,5 @@
 
 					if ( !matches[selector] ) {
-						matches[selector] = jQuery.expr.match.POS.test( selector ) ? 
+						matches[selector] = jQuery.expr.match.POS.test( selector ) ?
 							jQuery( selector, context || this.context ) :
 							selector;
@@ -3800,5 +3800,5 @@
 		}
 
-		var pos = jQuery.expr.match.POS.test( selectors ) ? 
+		var pos = jQuery.expr.match.POS.test( selectors ) ?
 			jQuery( selectors, context || this.context ) : null;
 
@@ -3813,5 +3813,5 @@
 		});
 	},
-	
+
 	// Determine the position of an element within
 	// the matched set of elements
@@ -3894,5 +3894,5 @@
 	jQuery.fn[ name ] = function( until, selector ) {
 		var ret = jQuery.map( this, fn, until );
-		
+
 		if ( !runtil.test( name ) ) {
 			selector = until;
@@ -3921,5 +3921,5 @@
 		return jQuery.find.matches(expr, elems);
 	},
-	
+
 	dir: function( elem, dir, until ) {
 		var matched = [], cur = elem[dir];
@@ -4109,5 +4109,5 @@
 		}
 	},
-	
+
 	// keepData is for internal use only--do not document
 	remove: function( selector, keepData ) {
@@ -4124,5 +4124,5 @@
 			}
 		}
-		
+
 		return this;
 	},
@@ -4140,5 +4140,5 @@
 			}
 		}
-		
+
 		return this;
 	},
@@ -4287,7 +4287,7 @@
 				results = buildFragment( args, this, scripts );
 			}
-			
+
 			fragment = results.fragment;
-			
+
 			if ( fragment.childNodes.length === 1 ) {
 				first = fragment = fragment.firstChild;
@@ -4394,9 +4394,9 @@
 		var ret = [], insert = jQuery( selector ),
 			parent = this.length === 1 && this[0].parentNode;
-		
+
 		if ( parent && parent.nodeType === 11 && parent.childNodes.length === 1 && insert.length === 1 ) {
 			insert[ original ]( this[0] );
 			return this;
-			
+
 		} else {
 			for ( var i = 0, l = insert.length; i < l; i++ ) {
@@ -4405,5 +4405,5 @@
 				ret = ret.concat( elems );
 			}
-		
+
 			return this.pushStack( ret, name, insert.selector );
 		}
@@ -4493,5 +4493,5 @@
 				if ( scripts && jQuery.nodeName( ret[i], "script" ) && (!ret[i].type || ret[i].type.toLowerCase() === "text/javascript") ) {
 					scripts.push( ret[i].parentNode ? ret[i].parentNode.removeChild( ret[i] ) : ret[i] );
-				
+
 				} else {
 					if ( ret[i].nodeType === 1 ) {
@@ -4505,16 +4505,16 @@
 		return ret;
 	},
-	
+
 	cleanData: function( elems ) {
 		var data, id, cache = jQuery.cache,
 			special = jQuery.event.special,
 			deleteExpando = jQuery.support.deleteExpando;
-		
+
 		for ( var i = 0, elem; (elem = elems[i]) != null; i++ ) {
 			id = elem[ jQuery.expando ];
-			
+
 			if ( id ) {
 				data = cache[ id ];
-				
+
 				if ( data.events ) {
 					for ( var type in data.events ) {
@@ -4527,5 +4527,5 @@
 					}
 				}
-				
+
 				if ( deleteExpando ) {
 					delete elem[ jQuery.expando ];
@@ -4534,5 +4534,5 @@
 					elem.removeAttribute( jQuery.expando );
 				}
-				
+
 				delete cache[ id ];
 			}
@@ -4567,5 +4567,5 @@
 			return jQuery.curCSS( elem, name );
 		}
-		
+
 		if ( typeof value === "number" && !rexclude.test(name) ) {
 			value += "px";
@@ -4975,5 +4975,5 @@
 	ajax: function( origSettings ) {
 		var s = jQuery.extend(true, {}, jQuery.ajaxSettings, origSettings);
-		
+
 		var jsonp, status, data,
 			callbackContext = origSettings && origSettings.context || s,
@@ -5290,5 +5290,5 @@
 			}
 		}
-		
+
 		function trigger(type, args) {
 			(s.context ? jQuery(s.context) : jQuery.event).trigger(type, args);
@@ -5378,10 +5378,10 @@
 	param: function( a, traditional ) {
 		var s = [];
-		
+
 		// Set traditional to true for jQuery <= 1.3.2 behavior.
 		if ( traditional === undefined ) {
 			traditional = jQuery.ajaxSettings.traditional;
 		}
-		
+
 		// If an array was passed in, assume that it is an array of form elements.
 		if ( jQuery.isArray(a) || a.jquery ) {
@@ -5390,5 +5390,5 @@
 				add( this.name, this.value );
 			});
-			
+
 		} else {
 			// If traditional, encode the "old" way (the way 1.3.2 or older
@@ -5420,5 +5420,5 @@
 					}
 				});
-					
+
 			} else if ( !traditional && obj != null && typeof obj === "object" ) {
 				// Serialize object item.
@@ -5426,5 +5426,5 @@
 					buildParams( prefix + "[" + k + "]", v );
 				});
-					
+
 			} else {
 				// Serialize scalar item.
@@ -5877,10 +5877,10 @@
 		}
 	},
-		
+
 	stop: function() {
 		clearInterval( timerId );
 		timerId = null;
 	},
-	
+
 	speeds: {
 		slow: 600,
@@ -5926,5 +5926,5 @@
 		var elem = this[0];
 
-		if ( options ) { 
+		if ( options ) {
 			return this.each(function( i ) {
 				jQuery.offset.setOffset( this, options, i );
@@ -5952,5 +5952,5 @@
 		var elem = this[0];
 
-		if ( options ) { 
+		if ( options ) {
 			return this.each(function( i ) {
 				jQuery.offset.setOffset( this, options, i );
@@ -6060,5 +6060,5 @@
 		return { top: top, left: left };
 	},
-	
+
 	setOffset: function( elem, options, i ) {
 		// set position first, in-case top/left are set even on static elem
@@ -6079,5 +6079,5 @@
 			left: (options.left - curOffset.left) + curLeft
 		};
-		
+
 		if ( "using" in options ) {
 			options.using.call( elem, props );
@@ -6139,5 +6139,5 @@
 	jQuery.fn[ method ] = function(val) {
 		var elem = this[0], win;
-		
+
 		if ( !elem ) {
 			return null;
@@ -6203,5 +6203,5 @@
 			return size == null ? null : this;
 		}
-		
+
 		if ( jQuery.isFunction( size ) ) {
 			return this.each(function( i ) {
Index: themes/default/js/post.js
===================================================================
--- themes/default/js/post.js	(revision 0)
+++ themes/default/js/post.js	(revision 2566)
@@ -6,8 +6,8 @@
 			'</p>'
 		);
-	
+
 	var cookie = readCookie($.cookie('comment_info'));
-	
-	
+
+
 	if (cookie != false) {
 		$('#c_name').val(cookie[0]);
@@ -16,5 +16,5 @@
 		$('#c_remember').attr('checked','checked');
 	}
-	
+
 	$('#c_remember').click(function() {
 		if (this.checked) {
@@ -24,5 +24,5 @@
 		}
 	});
-	
+
 	$('#c_name').change(function() {
 		if ($('#c_remember').get(0).checked) {
@@ -30,5 +30,5 @@
 		}
 	});
-	
+
 	$('#c_mail').change(function() {
 		if ($('#c_remember').get(0).checked) {
@@ -36,5 +36,5 @@
 		}
 	});
-	
+
 	$('#c_site').change(function() {
 		if ($('#c_remember').get(0).checked) {
@@ -42,5 +42,5 @@
 		}
 	});
-	
+
 	function setCookie() {
 		var name = $('#c_name').val();
@@ -53,24 +53,24 @@
 			cpath = cpath.replace(/.*:\/\/[^\/]*([^?]*).*/g,"$1");
 		}
-		
+
 		$.cookie('comment_info', name + '\n' + mail + '\n' + site, {expires: 60, path: cpath});
 	}
-	
+
 	function dropCookie() {
 		$.cookie('comment_info','',{expires: -30, path: '/'});
 	}
-	
+
 	function readCookie(c) {
 		if (!c) {
 			return false;
 		}
-		
+
 		var s = c.split('\n');
-		
+
 		if (s.length != 3) {
 			dropCookie();
 			return false;
 		}
-		
+
 		return s;
 	}
